import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import TrmModel from './trm-appmenu-model';


/**
 * Trm 部件服务对象
 *
 * @export
 * @class TrmService
 */
export default class TrmService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof TrmService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of TrmService.
     * 
     * @param {*} [opts={}]
     * @memberof TrmService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new TrmModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Trm
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/trmappmenu', params);
    }

}